Page MenuHomePhabricator

Create service for writing property terms
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

alaa_wmde renamed this task from write property terms to new schema to Write property terms to new schema.Mar 26 2019, 4:29 PM
alaa_wmde renamed this task from Write property terms to new schema to Implement the new interface for writing property terms.
alaa_wmde updated the task description. (Show Details)

Change 499831 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Implement PropertyTermStoreWriter as an EntityTermStoreWriter

https://gerrit.wikimedia.org/r/499831

Stalled unless we explicitly decide to continue with MW DBAL based implementation or not (in which case we would close this task)

alaa_wmde renamed this task from Implement the new interface for writing property terms to [MW DBAL] Implement the new interface for writing property terms.Apr 4 2019, 10:03 PM
JeroenDeDauw renamed this task from [MW DBAL] Implement the new interface for writing property terms to Create service for writing property terms.Apr 5 2019, 5:12 AM
JeroenDeDauw moved this task from Stalled to In Progress on the Wikidata wb_terms Trailblazing board.

I renamed this back to an implementation agnostic task, since else we don't have anything to track the completion of the service implementation, and a parent task for more detailed things such as the cleanup logic.

JeroenDeDauw removed alaa_wmde as the assignee of this task.Apr 5 2019, 5:22 AM
alaa_wmde added a comment.EditedApr 5 2019, 8:00 AM

@JeroenDeDauw yeah I wanted to create a separate ticket for that but this should work too. Thanks!

Change 499831 abandoned by Jeroen De Dauw:
Implement PropertyTermStoreWriter as an EntityTermStoreWriter

https://gerrit.wikimedia.org/r/499831